Robotsystem from Robot Group Leipzig: HingeJoint Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# HingeJoint Class Reference

`#include <joint.h>`

Inheritance diagram for HingeJoint:

[legend]
Collaboration diagram for HingeJoint:

[legend]
List of all members.

## Detailed Description

Definition at line 156 of file joint.h.

## Public Member Functions
| HingeJoint (Primitive *part1, Primitive *part2, const osg::Vec3 &anchor, const Axis &axis1)
virtual | ~HingeJoint ()
virtual void | init (const OdeHandle &odeHandle, const OsgHandle &osgHandle, bool withVisual=true, double visualSize=0.2)
| initialises (and creates) the joint.
virtual void | update ()
| should syncronise the Ode stuff and the OSG notes (if any)
virtual void | addTorque (double t)
virtual double | getPosition1 ()
virtual double | getPosition1Rate ()
virtual void | setParam (int parameter, double value)
| sets the ODE joint parameter (see ODE manual)
virtual double | getParam (int parameter)
| return the ODE joint parameter (see ODE manual)
## Protected Attributes
OSGPrimitive * | visual

## Constructor & Destructor Documentation

HingeJoint | ( | Primitive * | part1,
|  | Primitive * | part2,
|  | const osg::Vec3 & | anchor,
|  | const Axis & | axis1
| ) |

| Definition at line 121 of file joint.cpp.

~HingeJoint | ( |  | ) | `[virtual]`

| Definition at line 126 of file joint.cpp.

## Member Function Documentation

void addTorque | ( | double | t | ) | `[virtual]`

| Definition at line 160 of file joint.cpp.

double getParam | ( | int | parameter | ) | `[virtual]`

| return the ODE joint parameter (see ODE manual) Implements Joint. Definition at line 176 of file joint.cpp.

double getPosition1 | ( |  | ) | `[virtual]`

| Implements OneAxisJoint. Definition at line 164 of file joint.cpp.

double getPosition1Rate | ( |  | ) | `[virtual]`

| Implements OneAxisJoint. Definition at line 168 of file joint.cpp.

void init | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | bool | withVisual = `true`,
|  | double | visualSize = `0.2`
| ) | `[virtual]`

| initialises (and creates) the joint. If visual is true then the axis of the joints is also drawn as a slim cylinder. visualSize is the length of the cylinder. Implements Joint. Definition at line 130 of file joint.cpp.

void setParam | ( | int | parameter,
|  | double | value
| ) | `[virtual]`

| sets the ODE joint parameter (see ODE manual) Implements Joint. Definition at line 172 of file joint.cpp.

void update | ( |  | ) | `[virtual]`

| should syncronise the Ode stuff and the OSG notes (if any) Implements Joint. Definition at line 145 of file joint.cpp.

## Member Data Documentation

OSGPrimitive* visual`[protected]`

| Definition at line 178 of file joint.h.